<?php
session_start();
require_once "../../../config.php";
require_once "../../../validation.php";
require_once "../../../Helper.php";

require_once '../../database1.php';
require_once "../../check_admin.php";

require_once '../check_edit_page_ajax.php';


class addAjax extends database
{
   public function index($data)
    {
    	$this->dbh = $this->connectPDO1();
	    $this->dbh->beginTransaction();
	    try
	    {
	        $res = $this->insert1($this->dbh, 'tb_wallet',$data);
	        if(!$res)
	        {
	        	return 0;
	        	exit;
	        }

	        $where['id'] = $data['cl_user_id'];
	        $res = $this->autoIncrementValue1($this->dbh, 'user', 'cl_wallet', $data['cl_amount'], $where);
		      if(!$res)
		      {
		        return 0;
		        exit;
		      }

	       $this->dbh->commit();
     
	      return 1;
	      exit;
	    }
	    catch (PDOException $e) {
	        // roll back transaction
	        $this->dbh->rollback();
	        return 0;
	    }  
    }
}


$obj = new addAjax();   

if(!isset($_POST['data']))
{
	http_response_code(400);
	echo json_encode(array('No input found'));
	exit;
}

$data = $_POST['data'];

$helper = new Helper();
$validation = new validation();

$res = array();
$requiredFields = array('amount');
$return = $validation->checkRequired($requiredFields, $data);
if($return)
{
	$res['error_description'][] = $return;
}

$decimalFields = array('amount');
$return = $validation->checkNumeric($decimalFields, $data);
if($return)
{
	$res['error_description'][] = $return;
}


if(!empty($res['error_description']))
{
	$result['error_description'] = $validation->setErrors($res['error_description']);
	$result['error_text'] = $validation->setErrors($res['error_description']);

	http_response_code(400);
	echo json_encode($result);
	exit;
}

$data = $validation->removeEmptyValues($data);

$data['cl_user_id'] = $id;

$obj = NEW AddAjax();
$res = $obj->index($data);
if(!$res)
{
	http_response_code(401);
	echo json_encode(array('error_text' => 'Something Went Wrong'));
	exit;
}

session_start();
$_SESSION['error_message'] = 'Wallet Added Successfully';
$_SESSION['error_type'] = 'success';

http_response_code(200);
echo json_encode(array('message' => 'Wallet Added Successfully'));
exit;